| LUFA Library 140302 |

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Fields
USB_StdDescriptor_Interface_t Struct Reference
USB Descriptors

Standard USB Interface Descriptor (USB-IF naming conventions). More...

`#include <StdDescriptors.h>`

## Data Fields
uint8_t | bAlternateSetting
uint8_t | bDescriptorType
uint8_t | bInterfaceClass
uint8_t | bInterfaceNumber
uint8_t | bInterfaceProtocol
uint8_t | bInterfaceSubClass
uint8_t | bLength
uint8_t | bNumEndpoints
uint8_t | iInterface

## Detailed Description

Type define for a standard Interface Descriptor. This structure uses the relevant standard's given element names to ensure compatibility with the standard.

See also
  USB_Descriptor_Interface_t for the version of this type with non-standard LUFA specific element names.

Note
  Regardless of CPU architecture, these values should be stored as little endian.

## Field Documentation

uint8_t USB_StdDescriptor_Interface_t::bAlternateSetting

Alternate setting for the interface number. The same interface number can have multiple alternate settings with different endpoint configurations, which can be selected by the host.

uint8_t USB_StdDescriptor_Interface_t::bDescriptorType

Type of the descriptor, either a value in USB_DescriptorTypes_t or a value given by the specific class.

uint8_t USB_StdDescriptor_Interface_t::bInterfaceClass

Interface class ID.

uint8_t USB_StdDescriptor_Interface_t::bInterfaceNumber

Index of the interface in the current configuration.

uint8_t USB_StdDescriptor_Interface_t::bInterfaceProtocol

Interface protocol ID.

uint8_t USB_StdDescriptor_Interface_t::bInterfaceSubClass

Interface subclass ID.

uint8_t USB_StdDescriptor_Interface_t::bLength

Size of the descriptor, in bytes.

uint8_t USB_StdDescriptor_Interface_t::bNumEndpoints

Total number of endpoints in the interface.

uint8_t USB_StdDescriptor_Interface_t::iInterface

Index of the string descriptor describing the interface.

The documentation for this struct was generated from the following file:

- Drivers/USB/Core/StdDescriptors.h